- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::Optimizer::TextureVisitor Class Reference

For all textures apply settings. More...

Inheritance diagram for osgUtil::Optimizer::TextureVisitor:

[legend]
List of all members.

## Public Member Functions
| TextureVisitor (bool changeAutoUnRef, bool valueAutoUnRef, bool changeClientImageStorage, bool valueClientImageStorage, bool changeAnisotropy, float valueAnisotropy, Optimizer *optimizer=0)
virtual void | apply (osg::Geode &node)
virtual void | apply (osg::Node &node)
void | apply (osg::StateSet &stateset)
void | apply (osg::Texture &texture)
bool | isOperationPermissibleForObject (const osg::Object *object) const
## Public Attributes
Optimizer * | _optimizer
bool | _changeAutoUnRef
bool | _valueAutoUnRef
bool | _changeClientImageStorage
bool | _valueClientImageStorage
bool | _changeAnisotropy
float | _valueAnisotropy

## Detailed Description

For all textures apply settings.

## Constructor & Destructor Documentation

osgUtil::Optimizer::TextureVisitor::TextureVisitor | ( | bool | changeAutoUnRef,
|  | bool | valueAutoUnRef,
|  | bool | changeClientImageStorage,
|  | bool | valueClientImageStorage,
|  | bool | changeAnisotropy,
|  | float | valueAnisotropy,
|  | Optimizer * | optimizer = `0`
| ) | `[inline]`

## Member Function Documentation

void Optimizer::TextureVisitor::apply | ( | osg::Texture & | texture | ) |

void Optimizer::TextureVisitor::apply | ( | osg::StateSet & | stateset | ) |

void Optimizer::TextureVisitor::apply | ( | osg::Node & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

void Optimizer::TextureVisitor::apply | ( | osg::Geode & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

bool osgUtil::Optimizer::TextureVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

## Member Data Documentation

bool osgUtil::Optimizer::TextureVisitor::_changeAnisotropy

bool osgUtil::Optimizer::TextureVisitor::_changeAutoUnRef

bool osgUtil::Optimizer::TextureVisitor::_changeClientImageStorage

Optimizer* osgUtil::Optimizer::TextureVisitor::_optimizer

float osgUtil::Optimizer::TextureVisitor::_valueAnisotropy

bool osgUtil::Optimizer::TextureVisitor::_valueAutoUnRef

bool osgUtil::Optimizer::TextureVisitor::_valueClientImageStorage

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp